Announcement Announcement Module
Collapse
No announcement yet.
Spring3.0 M1 on tomcat 5.5.26 Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Spring3.0 M1 on tomcat 5.5.26

    Hi,

    Has anybody faced the following ,

    Code:
    2008-12-29 11:10:08,975 ERROR [org.springframework.web.context.ContextLoader] -
    <Context initialization failed>
    java.lang.NoSuchFieldError: ruleMemo
            at org.springframework.expression.spel.generated.SpringExpressionsParser
    .<init>(SpringExpressionsParser.java:94)
            at org.springframework.expression.spel.internal.SpringExpressionsParserE
    xtender.<init>(SpringExpressionsParserExtender.java:30)
            at org.springframework.expression.spel.SpelExpressionParser.<init>(SpelE
    xpressionParser.java:52)
            at org.springframework.context.expression.StandardBeanExpressionResolver
    .<init>(StandardBeanExpressionResolver.java:40)
            at org.springframework.context.support.AbstractApplicationContext.prepar
    eBeanFactory(AbstractApplicationContext.java:442)
            at org.springframework.context.support.AbstractApplicationContext.refres
    h(AbstractApplicationContext.java:353)
            at org.springframework.web.context.ContextLoader.createWebApplicationCon
    text(ContextLoader.java:254)
            at org.springframework.web.context.ContextLoader.initWebApplicationConte
    xt(ContextLoader.java:198)
            at org.springframework.web.context.ContextLoaderListener.contextInitiali
    zed(ContextLoaderListener.java:47)
            at org.apache.catalina.core.StandardContext.listenerStart(StandardContex
    t.java:3764)
    it looks like spring3.0 requires the latest antlr library

  • #2
    Hi All,

    Resolved the issue by using antlr3.0.1 version

    Comment

    Working...
    X